Index: c/src/ada-tests/sptests/sp16/Makefile.am
===================================================================
--- c/src/ada-tests/sptests/sp16/Makefile.am	(revision a4b8cd020c5b0992232281e099c4bc62ce564c87)
+++ c/src/ada-tests/sptests/sp16/Makefile.am	(revision 9a9b17d0badf04583b16cdb0db105cf6716c15c3)
@@ -3,5 +3,4 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
 
 include $(top_srcdir)/ada.am
@@ -9,6 +8,7 @@
 noinst_PROGRAMS = sp16
 sp16_SOURCES = sp16.adb config.h sptest.adb sptest.ads
+sp16_SOURCES += ../../support/init.c
 
-sp16$(EXEEXT): sp16.adb
+sp16$(EXEEXT): sp16.adb init.$(OBJEXT)
 	$(GNATCOMPILE) -margs -a $< -o $@
 
Index: c/src/ada-tests/sptests/sp17/Makefile.am
===================================================================
--- c/src/ada-tests/sptests/sp17/Makefile.am	(revision a4b8cd020c5b0992232281e099c4bc62ce564c87)
+++ c/src/ada-tests/sptests/sp17/Makefile.am	(revision 9a9b17d0badf04583b16cdb0db105cf6716c15c3)
@@ -3,5 +3,4 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
 
 include $(top_srcdir)/ada.am
@@ -9,6 +8,7 @@
 noinst_PROGRAMS = sp17
 sp17_SOURCES = sp17.adb config.h sptest.adb sptest.ads
+sp17_SOURCES += ../../support/init.c
 
-sp17$(EXEEXT): sp17.adb
+sp17$(EXEEXT): sp17.adb init.$(OBJEXT)
 	$(GNATCOMPILE) -margs -a $< -o $@
 
Index: c/src/ada-tests/sptests/sp19/Makefile.am
===================================================================
--- c/src/ada-tests/sptests/sp19/Makefile.am	(revision a4b8cd020c5b0992232281e099c4bc62ce564c87)
+++ c/src/ada-tests/sptests/sp19/Makefile.am	(revision 9a9b17d0badf04583b16cdb0db105cf6716c15c3)
@@ -3,5 +3,4 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
 
 include $(top_srcdir)/ada.am
@@ -12,10 +11,9 @@
 
 sp19_SOURCES = sp19.adb sptest.adb config.h sptest.ads
+sp19_SOURCES += ../../support/init.c
 
-sptest.adb: sptest.adp
-	pwd=`pwd` && cd $(srcdir) && $(M4) < sptest.adp > $${pwd}/sptest.adb
 CLEANFILES += sptest.adb
 
-sp19$(EXEEXT): sp19.adb sptest.adb sptest.ads
+sp19$(EXEEXT): sp19.adb sptest.adb sptest.ads init.$(OBJEXT)
 	$(GNATCOMPILE) -margs -a $< -o $@
 
Index: c/src/ada-tests/sptests/sp20/Makefile.am
===================================================================
--- c/src/ada-tests/sptests/sp20/Makefile.am	(revision a4b8cd020c5b0992232281e099c4bc62ce564c87)
+++ c/src/ada-tests/sptests/sp20/Makefile.am	(revision 9a9b17d0badf04583b16cdb0db105cf6716c15c3)
@@ -3,5 +3,4 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
 
 include $(top_srcdir)/ada.am
@@ -9,6 +8,7 @@
 noinst_PROGRAMS = sp20
 sp20_SOURCES = sp20.adb config.h sptest.adb sptest.ads
+sp20_SOURCES += ../../support/init.c
 
-sp20$(EXEEXT): sp20.adb
+sp20$(EXEEXT): sp20.adb init.$(OBJEXT)
 	$(GNATCOMPILE) -margs -a $< -o $@
 
Index: c/src/ada-tests/sptests/sp21/Makefile.am
===================================================================
--- c/src/ada-tests/sptests/sp21/Makefile.am	(revision a4b8cd020c5b0992232281e099c4bc62ce564c87)
+++ c/src/ada-tests/sptests/sp21/Makefile.am	(revision 9a9b17d0badf04583b16cdb0db105cf6716c15c3)
@@ -3,5 +3,4 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
 
 include $(top_srcdir)/ada.am
@@ -10,6 +9,7 @@
 
 sp21_SOURCES = sp21.adb config.h sptest.adb sptest.ads
+sp21_SOURCES += ../../support/init.c
 
-sp21$(EXEEXT): sp21.adb
+sp21$(EXEEXT): sp21.adb init.$(OBJEXT)
 	$(GNATCOMPILE) -margs -a $< -o $@
 
Index: c/src/ada-tests/sptests/sp22/Makefile.am
===================================================================
--- c/src/ada-tests/sptests/sp22/Makefile.am	(revision a4b8cd020c5b0992232281e099c4bc62ce564c87)
+++ c/src/ada-tests/sptests/sp22/Makefile.am	(revision 9a9b17d0badf04583b16cdb0db105cf6716c15c3)
@@ -3,5 +3,4 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
 
 include $(top_srcdir)/ada.am
@@ -9,6 +8,7 @@
 noinst_PROGRAMS = sp22
 sp22_SOURCES = sp22.adb config.h sptest.adb sptest.ads
+sp22_SOURCES += ../../support/init.c
 
-sp22$(EXEEXT): sp22.adb
+sp22$(EXEEXT): sp22.adb init.$(OBJEXT)
 	$(GNATCOMPILE) -margs -a $< -o $@
 
Index: c/src/ada-tests/sptests/sp23/Makefile.am
===================================================================
--- c/src/ada-tests/sptests/sp23/Makefile.am	(revision a4b8cd020c5b0992232281e099c4bc62ce564c87)
+++ c/src/ada-tests/sptests/sp23/Makefile.am	(revision 9a9b17d0badf04583b16cdb0db105cf6716c15c3)
@@ -3,5 +3,4 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
 
 include $(top_srcdir)/ada.am
@@ -9,6 +8,7 @@
 noinst_PROGRAMS = sp23
 sp23_SOURCES = sp23.adb config.h sptest.adb sptest.ads
+sp23_SOURCES += ../../support/init.c
 
-sp23$(EXEEXT): sp23.adb
+sp23$(EXEEXT): sp23.adb init.$(OBJEXT)
 	$(GNATCOMPILE) -margs -a $< -o $@
 
Index: c/src/ada-tests/sptests/sp24/Makefile.am
===================================================================
--- c/src/ada-tests/sptests/sp24/Makefile.am	(revision a4b8cd020c5b0992232281e099c4bc62ce564c87)
+++ c/src/ada-tests/sptests/sp24/Makefile.am	(revision 9a9b17d0badf04583b16cdb0db105cf6716c15c3)
@@ -3,5 +3,4 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
 
 include $(top_srcdir)/ada.am
@@ -9,6 +8,7 @@
 noinst_PROGRAMS = sp24
 sp24_SOURCES = sp24.adb config.h sptest.adb sptest.ads
+sp24_SOURCES += ../../support/init.c
 
-sp24$(EXEEXT): sp24.adb
+sp24$(EXEEXT): sp24.adb init.$(OBJEXT)
 	$(GNATCOMPILE) -margs -a $< -o $@
 
Index: c/src/ada-tests/sptests/sp25/Makefile.am
===================================================================
--- c/src/ada-tests/sptests/sp25/Makefile.am	(revision a4b8cd020c5b0992232281e099c4bc62ce564c87)
+++ c/src/ada-tests/sptests/sp25/Makefile.am	(revision 9a9b17d0badf04583b16cdb0db105cf6716c15c3)
@@ -3,5 +3,4 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
 
 include $(top_srcdir)/ada.am
@@ -9,6 +8,7 @@
 noinst_PROGRAMS = sp25
 sp25_SOURCES = sp25.adb config.h sptest.adb sptest.ads
+sp25_SOURCES += ../../support/init.c
 
-sp25$(EXEEXT): sp25.adb
+sp25$(EXEEXT): sp25.adb init.$(OBJEXT)
 	$(GNATCOMPILE) -margs -a $< -o $@
 
Index: c/src/ada-tests/sptests/spsize/Makefile.am
===================================================================
--- c/src/ada-tests/sptests/spsize/Makefile.am	(revision a4b8cd020c5b0992232281e099c4bc62ce564c87)
+++ c/src/ada-tests/sptests/spsize/Makefile.am	(revision 9a9b17d0badf04583b16cdb0db105cf6716c15c3)
@@ -3,5 +3,4 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
 
 include $(top_srcdir)/ada.am
Index: c/src/ada-tests/tmtests/tm01/Makefile.am
===================================================================
--- c/src/ada-tests/tmtests/tm01/Makefile.am	(revision a4b8cd020c5b0992232281e099c4bc62ce564c87)
+++ c/src/ada-tests/tmtests/tm01/Makefile.am	(revision 9a9b17d0badf04583b16cdb0db105cf6716c15c3)
@@ -3,5 +3,4 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
 
 include $(top_srcdir)/ada.am
@@ -9,6 +8,7 @@
 noinst_PROGRAMS = tm01
 tm01_SOURCES = tm01.adb config.h tmtest.adb tmtest.ads
+tm01_SOURCES += ../../support/init.c
 
-tm01$(EXEEXT): tm01.adb
+tm01$(EXEEXT): tm01.adb init.$(OBJEXT)
 	$(GNATCOMPILE) -margs -a $< -o $@
 
Index: c/src/ada-tests/tmtests/tm02/Makefile.am
===================================================================
--- c/src/ada-tests/tmtests/tm02/Makefile.am	(revision a4b8cd020c5b0992232281e099c4bc62ce564c87)
+++ c/src/ada-tests/tmtests/tm02/Makefile.am	(revision 9a9b17d0badf04583b16cdb0db105cf6716c15c3)
@@ -3,5 +3,4 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
 
 include $(top_srcdir)/ada.am
@@ -9,6 +8,7 @@
 noinst_PROGRAMS = tm02
 tm02_SOURCES = tm02.adb config.h tmtest.adb tmtest.ads
+tm02_SOURCES += ../../support/init.c
 
-tm02$(EXEEXT): tm02.adb
+tm02$(EXEEXT): tm02.adb init.$(OBJEXT)
 	$(GNATCOMPILE) -margs -a $< -o $@
 
Index: c/src/ada-tests/tmtests/tm03/Makefile.am
===================================================================
--- c/src/ada-tests/tmtests/tm03/Makefile.am	(revision a4b8cd020c5b0992232281e099c4bc62ce564c87)
+++ c/src/ada-tests/tmtests/tm03/Makefile.am	(revision 9a9b17d0badf04583b16cdb0db105cf6716c15c3)
@@ -3,5 +3,4 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
 
 include $(top_srcdir)/ada.am
@@ -9,6 +8,7 @@
 noinst_PROGRAMS = tm03
 tm03_SOURCES = tm03.adb config.h tmtest.adb tmtest.ads
+tm03_SOURCES += ../../support/init.c
 
-tm03$(EXEEXT): tm03.adb
+tm03$(EXEEXT): tm03.adb init.$(OBJEXT)
 	$(GNATCOMPILE) -margs -a $< -o $@
 
Index: c/src/ada-tests/tmtests/tm04/Makefile.am
===================================================================
--- c/src/ada-tests/tmtests/tm04/Makefile.am	(revision a4b8cd020c5b0992232281e099c4bc62ce564c87)
+++ c/src/ada-tests/tmtests/tm04/Makefile.am	(revision 9a9b17d0badf04583b16cdb0db105cf6716c15c3)
@@ -3,5 +3,4 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
 
 include $(top_srcdir)/ada.am
@@ -9,6 +8,7 @@
 noinst_PROGRAMS = tm04
 tm04_SOURCES = tm04.adb config.h tmtest.adb tmtest.ads
+tm04_SOURCES += ../../support/init.c
 
-tm04$(EXEEXT): tm04.adb
+tm04$(EXEEXT): tm04.adb init.$(OBJEXT)
 	$(GNATCOMPILE) -margs -a $< -o $@
 
Index: c/src/ada-tests/tmtests/tm05/Makefile.am
===================================================================
--- c/src/ada-tests/tmtests/tm05/Makefile.am	(revision a4b8cd020c5b0992232281e099c4bc62ce564c87)
+++ c/src/ada-tests/tmtests/tm05/Makefile.am	(revision 9a9b17d0badf04583b16cdb0db105cf6716c15c3)
@@ -3,5 +3,4 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
 
 include $(top_srcdir)/ada.am
@@ -9,6 +8,7 @@
 noinst_PROGRAMS = tm05
 tm05_SOURCES = tm05.adb config.h tmtest.adb tmtest.ads
+tm05_SOURCES += ../../support/init.c
 
-tm05$(EXEEXT): tm05.adb
+tm05$(EXEEXT): tm05.adb init.$(OBJEXT)
 	$(GNATCOMPILE) -margs -a $< -o $@
 
Index: c/src/ada-tests/tmtests/tm06/Makefile.am
===================================================================
--- c/src/ada-tests/tmtests/tm06/Makefile.am	(revision a4b8cd020c5b0992232281e099c4bc62ce564c87)
+++ c/src/ada-tests/tmtests/tm06/Makefile.am	(revision 9a9b17d0badf04583b16cdb0db105cf6716c15c3)
@@ -3,5 +3,4 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
 
 include $(top_srcdir)/ada.am
@@ -9,6 +8,7 @@
 noinst_PROGRAMS = tm06
 tm06_SOURCES = tm06.adb config.h tmtest.adb tmtest.ads
+tm06_SOURCES += ../../support/init.c
 
-tm06$(EXEEXT): tm06.adb
+tm06$(EXEEXT): tm06.adb init.$(OBJEXT)
 	$(GNATCOMPILE) -margs -a $< -o $@
 
Index: c/src/ada-tests/tmtests/tm07/Makefile.am
===================================================================
--- c/src/ada-tests/tmtests/tm07/Makefile.am	(revision a4b8cd020c5b0992232281e099c4bc62ce564c87)
+++ c/src/ada-tests/tmtests/tm07/Makefile.am	(revision 9a9b17d0badf04583b16cdb0db105cf6716c15c3)
@@ -3,5 +3,4 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
 
 include $(top_srcdir)/ada.am
@@ -9,6 +8,7 @@
 noinst_PROGRAMS = tm07
 tm07_SOURCES = tm07.adb config.h tmtest.adb tmtest.ads
+tm07_SOURCES += ../../support/init.c
 
-tm07$(EXEEXT): tm07.adb
+tm07$(EXEEXT): tm07.adb init.$(OBJEXT)
 	$(GNATCOMPILE) -margs -a $< -o $@
 
Index: c/src/ada-tests/tmtests/tm08/Makefile.am
===================================================================
--- c/src/ada-tests/tmtests/tm08/Makefile.am	(revision a4b8cd020c5b0992232281e099c4bc62ce564c87)
+++ c/src/ada-tests/tmtests/tm08/Makefile.am	(revision 9a9b17d0badf04583b16cdb0db105cf6716c15c3)
@@ -3,5 +3,4 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
 
 include $(top_srcdir)/ada.am
@@ -9,6 +8,7 @@
 noinst_PROGRAMS = tm08
 tm08_SOURCES = tm08.adb config.h tmtest.adb tmtest.ads
+tm08_SOURCES += ../../support/init.c
 
-tm08$(EXEEXT): tm08.adb
+tm08$(EXEEXT): tm08.adb init.$(OBJEXT)
 	$(GNATCOMPILE) -margs -a $< -o $@
 
Index: c/src/ada-tests/tmtests/tm09/Makefile.am
===================================================================
--- c/src/ada-tests/tmtests/tm09/Makefile.am	(revision a4b8cd020c5b0992232281e099c4bc62ce564c87)
+++ c/src/ada-tests/tmtests/tm09/Makefile.am	(revision 9a9b17d0badf04583b16cdb0db105cf6716c15c3)
@@ -3,5 +3,4 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
 
 include $(top_srcdir)/ada.am
@@ -9,6 +8,7 @@
 noinst_PROGRAMS = tm09
 tm09_SOURCES = tm09.adb config.h tmtest.adb tmtest.ads
+tm09_SOURCES += ../../support/init.c
 
-tm09$(EXEEXT): tm09.adb
+tm09$(EXEEXT): tm09.adb init.$(OBJEXT)
 	$(GNATCOMPILE) -margs -a $< -o $@
 
Index: c/src/ada-tests/tmtests/tm10/Makefile.am
===================================================================
--- c/src/ada-tests/tmtests/tm10/Makefile.am	(revision a4b8cd020c5b0992232281e099c4bc62ce564c87)
+++ c/src/ada-tests/tmtests/tm10/Makefile.am	(revision 9a9b17d0badf04583b16cdb0db105cf6716c15c3)
@@ -3,5 +3,4 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
 
 include $(top_srcdir)/ada.am
@@ -9,6 +8,7 @@
 noinst_PROGRAMS = tm10
 tm10_SOURCES = tm10.adb config.h tmtest.adb tmtest.ads
+tm10_SOURCES += ../../support/init.c
 
-tm10$(EXEEXT): tm10.adb
+tm10$(EXEEXT): tm10.adb init.$(OBJEXT)
 	$(GNATCOMPILE) -margs -a $< -o $@
 
Index: c/src/ada-tests/tmtests/tm11/Makefile.am
===================================================================
--- c/src/ada-tests/tmtests/tm11/Makefile.am	(revision a4b8cd020c5b0992232281e099c4bc62ce564c87)
+++ c/src/ada-tests/tmtests/tm11/Makefile.am	(revision 9a9b17d0badf04583b16cdb0db105cf6716c15c3)
@@ -3,5 +3,4 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
 
 include $(top_srcdir)/ada.am
@@ -9,6 +8,7 @@
 noinst_PROGRAMS = tm11
 tm11_SOURCES = tm11.adb config.h tmtest.adb tmtest.ads
+tm11_SOURCES += ../../support/init.c
 
-tm11$(EXEEXT): tm11.adb
+tm11$(EXEEXT): tm11.adb init.$(OBJEXT)
 	$(GNATCOMPILE) -margs -a $< -o $@
 
Index: c/src/ada-tests/tmtests/tm12/Makefile.am
===================================================================
--- c/src/ada-tests/tmtests/tm12/Makefile.am	(revision a4b8cd020c5b0992232281e099c4bc62ce564c87)
+++ c/src/ada-tests/tmtests/tm12/Makefile.am	(revision 9a9b17d0badf04583b16cdb0db105cf6716c15c3)
@@ -3,5 +3,4 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
 
 include $(top_srcdir)/ada.am
@@ -9,6 +8,7 @@
 noinst_PROGRAMS = tm12
 tm12_SOURCES = tm12.adb config.h tmtest.adb tmtest.ads
+tm12_SOURCES += ../../support/init.c
 
-tm12$(EXEEXT): tm12.adb
+tm12$(EXEEXT): tm12.adb init.$(OBJEXT)
 	$(GNATCOMPILE) -margs -a $< -o $@
 
Index: c/src/ada-tests/tmtests/tm13/Makefile.am
===================================================================
--- c/src/ada-tests/tmtests/tm13/Makefile.am	(revision a4b8cd020c5b0992232281e099c4bc62ce564c87)
+++ c/src/ada-tests/tmtests/tm13/Makefile.am	(revision 9a9b17d0badf04583b16cdb0db105cf6716c15c3)
@@ -3,5 +3,4 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
 
 include $(top_srcdir)/ada.am
@@ -9,6 +8,7 @@
 noinst_PROGRAMS = tm13
 tm13_SOURCES = tm13.adb config.h tmtest.adb tmtest.ads
+tm13_SOURCES += ../../support/init.c
 
-tm13$(EXEEXT): tm13.adb
+tm13$(EXEEXT): tm13.adb init.$(OBJEXT)
 	$(GNATCOMPILE) -margs -a $< -o $@
 
Index: c/src/ada-tests/tmtests/tm14/Makefile.am
===================================================================
--- c/src/ada-tests/tmtests/tm14/Makefile.am	(revision a4b8cd020c5b0992232281e099c4bc62ce564c87)
+++ c/src/ada-tests/tmtests/tm14/Makefile.am	(revision 9a9b17d0badf04583b16cdb0db105cf6716c15c3)
@@ -3,5 +3,4 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
 
 include $(top_srcdir)/ada.am
@@ -9,6 +8,7 @@
 noinst_PROGRAMS = tm14
 tm14_SOURCES = tm14.adb config.h tmtest.adb tmtest.ads
+tm14_SOURCES += ../../support/init.c
 
-tm14$(EXEEXT): tm14.adb
+tm14$(EXEEXT): tm14.adb init.$(OBJEXT)
 	$(GNATCOMPILE) -margs -a $< -o $@
 
Index: c/src/ada-tests/tmtests/tm15/Makefile.am
===================================================================
--- c/src/ada-tests/tmtests/tm15/Makefile.am	(revision a4b8cd020c5b0992232281e099c4bc62ce564c87)
+++ c/src/ada-tests/tmtests/tm15/Makefile.am	(revision 9a9b17d0badf04583b16cdb0db105cf6716c15c3)
@@ -3,5 +3,4 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
 
 include $(top_srcdir)/ada.am
@@ -9,6 +8,7 @@
 noinst_PROGRAMS = tm15
 tm15_SOURCES = tm15.adb config.h tmtest.adb tmtest.ads
+tm15_SOURCES += ../../support/init.c
 
-tm15$(EXEEXT): tm15.adb
+tm15$(EXEEXT): tm15.adb init.$(OBJEXT)
 	$(GNATCOMPILE) -margs -a $< -o $@
 
Index: c/src/ada-tests/tmtests/tm16/Makefile.am
===================================================================
--- c/src/ada-tests/tmtests/tm16/Makefile.am	(revision a4b8cd020c5b0992232281e099c4bc62ce564c87)
+++ c/src/ada-tests/tmtests/tm16/Makefile.am	(revision 9a9b17d0badf04583b16cdb0db105cf6716c15c3)
@@ -3,5 +3,4 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
 
 include $(top_srcdir)/ada.am
@@ -9,6 +8,7 @@
 noinst_PROGRAMS = tm16
 tm16_SOURCES = tm16.adb config.h tmtest.adb tmtest.ads
+tm16_SOURCES += ../../support/init.c
 
-tm16$(EXEEXT): tm16.adb
+tm16$(EXEEXT): tm16.adb init.$(OBJEXT)
 	$(GNATCOMPILE) -margs -a $< -o $@
 
Index: c/src/ada-tests/tmtests/tm17/Makefile.am
===================================================================
--- c/src/ada-tests/tmtests/tm17/Makefile.am	(revision a4b8cd020c5b0992232281e099c4bc62ce564c87)
+++ c/src/ada-tests/tmtests/tm17/Makefile.am	(revision 9a9b17d0badf04583b16cdb0db105cf6716c15c3)
@@ -3,5 +3,4 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
 
 include $(top_srcdir)/ada.am
@@ -9,6 +8,7 @@
 noinst_PROGRAMS = tm17
 tm17_SOURCES = tm17.adb config.h tmtest.adb tmtest.ads
+tm17_SOURCES += ../../support/init.c
 
-tm17$(EXEEXT): tm17.adb
+tm17$(EXEEXT): tm17.adb init.$(OBJEXT)
 	$(GNATCOMPILE) -margs -a $< -o $@
 
Index: c/src/ada-tests/tmtests/tm18/Makefile.am
===================================================================
--- c/src/ada-tests/tmtests/tm18/Makefile.am	(revision a4b8cd020c5b0992232281e099c4bc62ce564c87)
+++ c/src/ada-tests/tmtests/tm18/Makefile.am	(revision 9a9b17d0badf04583b16cdb0db105cf6716c15c3)
@@ -3,5 +3,4 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
 
 include $(top_srcdir)/ada.am
@@ -9,6 +8,7 @@
 noinst_PROGRAMS = tm18
 tm18_SOURCES = tm18.adb config.h tmtest.adb tmtest.ads
+tm18_SOURCES += ../../support/init.c
 
-tm18$(EXEEXT): tm18.adb
+tm18$(EXEEXT): tm18.adb init.$(OBJEXT)
 	$(GNATCOMPILE) -margs -a $< -o $@
 
Index: c/src/ada-tests/tmtests/tm19/Makefile.am
===================================================================
--- c/src/ada-tests/tmtests/tm19/Makefile.am	(revision a4b8cd020c5b0992232281e099c4bc62ce564c87)
+++ c/src/ada-tests/tmtests/tm19/Makefile.am	(revision 9a9b17d0badf04583b16cdb0db105cf6716c15c3)
@@ -3,5 +3,4 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
 
 include $(top_srcdir)/ada.am
@@ -9,6 +8,7 @@
 noinst_PROGRAMS = tm19
 tm19_SOURCES = tm19.adb config.h tmtest.adb tmtest.ads
+tm19_SOURCES += ../../support/init.c
 
-tm19$(EXEEXT): tm19.adb
+tm19$(EXEEXT): tm19.adb init.$(OBJEXT)
 	$(GNATCOMPILE) -margs -a $< -o $@
 
Index: c/src/ada-tests/tmtests/tm20/Makefile.am
===================================================================
--- c/src/ada-tests/tmtests/tm20/Makefile.am	(revision a4b8cd020c5b0992232281e099c4bc62ce564c87)
+++ c/src/ada-tests/tmtests/tm20/Makefile.am	(revision 9a9b17d0badf04583b16cdb0db105cf6716c15c3)
@@ -3,5 +3,4 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
 
 include $(top_srcdir)/ada.am
@@ -9,6 +8,7 @@
 noinst_PROGRAMS = tm20
 tm20_SOURCES = tm20.adb config.h tmtest.adb tmtest.ads
+tm20_SOURCES += ../../support/init.c
 
-tm20$(EXEEXT): tm20.adb
+tm20$(EXEEXT): tm20.adb init.$(OBJEXT)
 	$(GNATCOMPILE) -margs -a $< -o $@
 
Index: c/src/ada-tests/tmtests/tm21/Makefile.am
===================================================================
--- c/src/ada-tests/tmtests/tm21/Makefile.am	(revision a4b8cd020c5b0992232281e099c4bc62ce564c87)
+++ c/src/ada-tests/tmtests/tm21/Makefile.am	(revision 9a9b17d0badf04583b16cdb0db105cf6716c15c3)
@@ -3,5 +3,4 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
 
 include $(top_srcdir)/ada.am
@@ -9,6 +8,7 @@
 noinst_PROGRAMS = tm21
 tm21_SOURCES = tm21.adb config.h tmtest.adb tmtest.ads
+tm21_SOURCES += ../../support/init.c
 
-tm21$(EXEEXT): tm21.adb
+tm21$(EXEEXT): tm21.adb init.$(OBJEXT)
 	$(GNATCOMPILE) -margs -a $< -o $@
 
Index: c/src/ada-tests/tmtests/tm22/Makefile.am
===================================================================
--- c/src/ada-tests/tmtests/tm22/Makefile.am	(revision a4b8cd020c5b0992232281e099c4bc62ce564c87)
+++ c/src/ada-tests/tmtests/tm22/Makefile.am	(revision 9a9b17d0badf04583b16cdb0db105cf6716c15c3)
@@ -3,5 +3,4 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
 
 include $(top_srcdir)/ada.am
@@ -9,6 +8,7 @@
 noinst_PROGRAMS = tm22
 tm22_SOURCES = tm22.adb config.h tmtest.adb tmtest.ads
+tm22_SOURCES += ../../support/init.c
 
-tm22$(EXEEXT): tm22.adb
+tm22$(EXEEXT): tm22.adb init.$(OBJEXT)
 	$(GNATCOMPILE) -margs -a $< -o $@
 
Index: c/src/ada-tests/tmtests/tm23/Makefile.am
===================================================================
--- c/src/ada-tests/tmtests/tm23/Makefile.am	(revision a4b8cd020c5b0992232281e099c4bc62ce564c87)
+++ c/src/ada-tests/tmtests/tm23/Makefile.am	(revision 9a9b17d0badf04583b16cdb0db105cf6716c15c3)
@@ -3,5 +3,4 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
 
 include $(top_srcdir)/ada.am
@@ -9,6 +8,7 @@
 noinst_PROGRAMS = tm23
 tm23_SOURCES = tm23.adb config.h tmtest.adb tmtest.ads
+tm23_SOURCES += ../../support/init.c
 
-tm23$(EXEEXT): tm23.adb
+tm23$(EXEEXT): tm23.adb init.$(OBJEXT)
 	$(GNATCOMPILE) -margs -a $< -o $@
 
Index: c/src/ada-tests/tmtests/tm24/Makefile.am
===================================================================
--- c/src/ada-tests/tmtests/tm24/Makefile.am	(revision a4b8cd020c5b0992232281e099c4bc62ce564c87)
+++ c/src/ada-tests/tmtests/tm24/Makefile.am	(revision 9a9b17d0badf04583b16cdb0db105cf6716c15c3)
@@ -3,5 +3,4 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
 
 include $(top_srcdir)/ada.am
@@ -9,6 +8,7 @@
 noinst_PROGRAMS = tm24
 tm24_SOURCES = tm24.adb config.h tmtest.adb tmtest.ads
+tm24_SOURCES += ../../support/init.c
 
-tm24$(EXEEXT): tm24.adb
+tm24$(EXEEXT): tm24.adb init.$(OBJEXT)
 	$(GNATCOMPILE) -margs -a $< -o $@
 
Index: c/src/ada-tests/tmtests/tm25/Makefile.am
===================================================================
--- c/src/ada-tests/tmtests/tm25/Makefile.am	(revision a4b8cd020c5b0992232281e099c4bc62ce564c87)
+++ c/src/ada-tests/tmtests/tm25/Makefile.am	(revision 9a9b17d0badf04583b16cdb0db105cf6716c15c3)
@@ -3,5 +3,4 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
 
 include $(top_srcdir)/ada.am
@@ -9,6 +8,7 @@
 noinst_PROGRAMS = tm25
 tm25_SOURCES = tm25.adb config.h tmtest.adb tmtest.ads
+tm25_SOURCES += ../../support/init.c
 
-tm25$(EXEEXT): tm25.adb
+tm25$(EXEEXT): tm25.adb init.$(OBJEXT)
 	$(GNATCOMPILE) -margs -a $< -o $@
 
Index: c/src/ada-tests/tmtests/tm28/Makefile.am
===================================================================
--- c/src/ada-tests/tmtests/tm28/Makefile.am	(revision a4b8cd020c5b0992232281e099c4bc62ce564c87)
+++ c/src/ada-tests/tmtests/tm28/Makefile.am	(revision 9a9b17d0badf04583b16cdb0db105cf6716c15c3)
@@ -3,5 +3,4 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
 
 include $(top_srcdir)/ada.am
@@ -9,6 +8,7 @@
 noinst_PROGRAMS = tm28
 tm28_SOURCES = tm28.adb config.h tmtest.adb tmtest.ads
+tm28_SOURCES += ../../support/init.c
 
-tm28$(EXEEXT): tm28.adb
+tm28$(EXEEXT): tm28.adb init.$(OBJEXT)
 	$(GNATCOMPILE) -margs -a $< -o $@
 
Index: c/src/ada-tests/tmtests/tm29/Makefile.am
===================================================================
--- c/src/ada-tests/tmtests/tm29/Makefile.am	(revision a4b8cd020c5b0992232281e099c4bc62ce564c87)
+++ c/src/ada-tests/tmtests/tm29/Makefile.am	(revision 9a9b17d0badf04583b16cdb0db105cf6716c15c3)
@@ -3,5 +3,4 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
 
 include $(top_srcdir)/ada.am
@@ -9,6 +8,7 @@
 noinst_PROGRAMS = tm29
 tm29_SOURCES = tm29.adb config.h tmtest.adb tmtest.ads
+tm29_SOURCES += ../../support/init.c
 
-tm29$(EXEEXT): tm29.adb
+tm29$(EXEEXT): tm29.adb init.$(OBJEXT)
 	$(GNATCOMPILE) -margs -a $< -o $@
 
Index: c/src/ada-tests/tmtests/tmck/Makefile.am
===================================================================
--- c/src/ada-tests/tmtests/tmck/Makefile.am	(revision a4b8cd020c5b0992232281e099c4bc62ce564c87)
+++ c/src/ada-tests/tmtests/tmck/Makefile.am	(revision 9a9b17d0badf04583b16cdb0db105cf6716c15c3)
@@ -3,5 +3,4 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
 
 include $(top_srcdir)/ada.am
@@ -9,6 +8,7 @@
 noinst_PROGRAMS = tmck
 tmck_SOURCES = tmck.adb config.h tmtest.adb tmtest.ads
+tmck_SOURCES += ../../support/init.c
 
-tmck$(EXEEXT): tmck.adb
+tmck$(EXEEXT): tmck.adb init.$(OBJEXT)
 	$(GNATCOMPILE) -margs -a $< -o $@
 
Index: c/src/ada-tests/tmtests/tmoverhd/Makefile.am
===================================================================
--- c/src/ada-tests/tmtests/tmoverhd/Makefile.am	(revision a4b8cd020c5b0992232281e099c4bc62ce564c87)
+++ c/src/ada-tests/tmtests/tmoverhd/Makefile.am	(revision 9a9b17d0badf04583b16cdb0db105cf6716c15c3)
@@ -3,5 +3,4 @@
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../automake/compile.am
-include $(top_srcdir)/../../../automake/lib.am
 
 include $(top_srcdir)/ada.am
@@ -11,6 +10,7 @@
 tmtest.adb tmtest.ads \
 dummy_rtems.adb dummy_rtems.ads
+tmoverhd_SOURCES += ../../support/init.c
 
-tmoverhd$(EXEEXT): tmoverhd.adb
+tmoverhd$(EXEEXT): tmoverhd.adb init.$(OBJEXT)
 	$(GNATCOMPILE) -margs -a $< -o $@
 
